Italian Errore solo su Nexus

imgsimonebiliato

Well-Known Member
Licensed User
Ciao.. Ho l'errore in allegato, solo però su un cellulare Nexus Android 5.0..
Ho già inserito la riga di codice sul manifesto, per cui non dipende da quello.. Idee?
 

Attachments

maxware

Well-Known Member
Licensed User
OK...hai aggiornato SDK e ti ha segato il file zipalign.exe ( e' successo anche a me un paio di volte )
se fai una ricerca sul forum con il nome del file trovi la soluzione
comunque cerca nel pc il file , dovrebbe esserci una copia in un altra cartella , e poi copialo nella cartella che leggi nel messaggio d'erroree
poi riprova a compilare
ciaoo
MAmo
 

LucaMs

Expert
Licensed User
Ezatto...

Buonogiornoooo

(non fateci caso, sono felice perché... dopo 4 ore mi è finalmente passato il mal di testa :) :()


[per dire quanto poco ci voglia, a volte, per essere "felici"]
 

imgsimonebiliato

Well-Known Member
Licensed User
Rettifico, ora si compila, ma sono tornato al punto precedente :(:(
 

LucaMs

Expert
Licensed User
Buongiorno!

Mi intrometto...

mi pare di aver letto che quella libreria dia problemi proprio con la 5.0... cerco ed eventualmente confermo
 

imgsimonebiliato

Well-Known Member
Licensed User
Ma come allora si risolve? Aggiorno la libreria?
E qual'è l'evento ButtonClicked?
 
Last edited:

imgsimonebiliato

Well-Known Member
Licensed User
Aggiorno la libreria?
E qual'è l'evento ButtonClicked ?
 

LucaMs

Expert
Licensed User
Dunque, dice di:

1) compilare con la versione di b4a 3.82 (probabilmente adesso anche con la 4) e, a meno che non hai già impostato un "tema" nel file Manifest, inserirci:
B4X:
SetApplicationAttribute(android:theme, "@android:style/Theme.Holo")
2) usare la versione 1.52 di StdActionBar, altrimenti l'app va in crash, ma, comunque, con la 5.0 di Android l'evento ButtonClicked non verrà scatenato (io non ho mai usato la StdActionBar, ma suppongo che quindi essa non funzioni e basta!)
 
Top